# Docs For Class FileMaker_Command_PerformScript

## Class FileMaker_Command_PerformScript

Description

Command class that performs a ScriptMaker script.

Create this command with FileMaker::newPerformScriptCommand().

Located in /FileMaker/Command/PerformScript.php (line 29)

    FileMaker_Command
       |
       --FileMaker_Command_PerformScript

Methods

#### Inherited Methods

Inherited From FileMaker_Command

> FileMaker_Command::execute()
> FileMaker_Command::setPreCommandScript()
> FileMaker_Command::setPreSortScript()
> FileMaker_Command::setRecordClass()
> FileMaker_Command::setRecordId()
> FileMaker_Command::setResultLayout()
> FileMaker_Command::setScript()
> FileMaker_Command::validate()

Documentation generated on Wed, 29 Jun 2011 12:31:23 -0700 by phpDocumentor 1.4.0